Package ru.bitel.bgbilling.modules.rentsoft.server.bean

# Class RentsoftProductManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<B>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RentsoftProduct>
ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftProductManager

public class RentsoftProductManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RentsoftProduct>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RentsoftProductManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RentsoftProduct`
  `getByServiceKey(String serviceKey)`
  `protected RentsoftProduct`
  `getFromRS(ResultSet rs)`
  `List<RentsoftProduct>`
  `getList()`
  `void`
  `safeUpdate(RentsoftProduct product)`
  `protected void`
  `updateImpl(RentsoftProduct rentsoftProduct)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RentsoftProductManager

    public RentsoftProductManager(Connection con, int mid)

- ## Method Details

  - ### getList

    public List<RentsoftProduct> getList() throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RentsoftProduct rentsoftProduct) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RentsoftProduct>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected RentsoftProduct getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RentsoftProduct>`
    Throws:
      `SQLException`

  - ### getByServiceKey

    public RentsoftProduct getByServiceKey(String serviceKey) throws SQLException
    Throws:
      `SQLException`

  - ### safeUpdate

    public void safeUpdate(RentsoftProduct product) throws SQLException
    Throws:
      `SQLException`